// PrefDlg.cpp : implementation file
//

#include "stdafx.h"
#include "serialtester.h"
#include "PrefDlg.h"

#include "MainDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


// CPrefDlg dialog

CPrefDlg::CPrefDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPrefDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPrefDlg)
	m_BufferSize = ((CMainDlg*)AfxGetMainWnd())->GetBuffer();
	m_Interval = ((CMainDlg*)AfxGetMainWnd())->GetInterval();
	m_bAutosavecheck = ((CMainDlg*)AfxGetMainWnd())->m_bAutoSave;
	//}}AFX_DATA_INIT
}


void CPrefDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPrefDlg)
	DDX_Text(pDX, IDC_EDITBUFFERSIZE, m_BufferSize);
	DDV_MinMaxUInt(pDX, m_BufferSize, 1, 100000);
	DDX_Text(pDX, IDC_EDITINTERVAL, m_Interval);
	DDV_MinMaxUInt(pDX, m_Interval, 200, 60000);
	DDX_Check(pDX, IDC_CHECK_AUTOSAVING, m_bAutosavecheck);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPrefDlg, CDialog)
	//{{AFX_MSG_MAP(CPrefDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPrefDlg message handlers

void CPrefDlg::OnOK() 
{
	UpdateData(TRUE);

	((CMainDlg*)AfxGetMainWnd())->SetBuffer(m_BufferSize);
	((CMainDlg*)AfxGetMainWnd())->SetInterval(m_Interval);
	((CMainDlg*)AfxGetMainWnd())->m_bAutoSave=(m_bAutosavecheck != 0);

	CDialog::OnOK();
}

void CPrefDlg::OnCancel() 
{
	CDialog::OnCancel();
}

CPrefDlg::~CPrefDlg()
{
  
}
