// CSerialComm.h
//
//////////////////////////////////////////////////////////////////////

#ifndef cserialcomm_h
#define cserialcomm_h

#include "IComm.h"
#include "serial/SerialMFC.h"

class CSerialComm : public IComm
{
public:
	CSerialComm();
	virtual ~CSerialComm();

	void InitComms(CWnd* pMainDlg);
	void CloseComms();
	LONG SendString(string MsgToBeSent);
	string ReceiveString();
	BOOL IsConnectionReady();

	CSerialMFC *m_Serial;

	string GetPort();
	string GetBaudrate();
	string GetDatabits();
	string GetParity();
	string GetStopbits();
	string GetHandshaking();

	void SetPort(string sNewPort);
	void SetBaudrate(string sNewBaudrate);
	void SetDatabits(string sNewDatabits);
	void SetParity(string sNewParity);
	void SetStopbits(string sNewStopbits);
	void SetHandshaking(string sNewHandshaking);

private:
	string m_sPort;
	string m_sBaudrate;
	string m_sDatabits;
	string m_sParity;
	string m_sStopbits;
	string m_sHandshaking;
};

#endif
