#if !defined(AFX_SlParaDlg_H__14A0C59C_ADB0_49C9_9959_E57479C8E0CA__INCLUDED_)
#define AFX_SlParaDlg_H__14A0C59C_ADB0_49C9_9959_E57479C8E0CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "SlPara.h"
#include "resource.h"
#include "MainDlg.h"

// SlParaDlg.h : header file
//
/////////////////////////////////////////////////////////////////////////////
// CSlParaDlg dialog

class CSlParaDlg : public CDialog
{
// Construction
public:
	BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	string CheckValues();
	CSlParaDlg(CDialog* pParent, char motorparam);   // standard constructor
	~CSlParaDlg();
	void GetValues();
	void UseThis(CSlPara* pPr);

	CSlPara* m_pPara;

	// Dialog Data
	//{{AFX_DATA(CSlParaDlg)
	enum { IDD = IDD_DIALOGPPage };
	CEdit	m_Vel;
	CEdit	m_Acc;
	CEdit	m_RunInOut;
	CEdit	m_HighIn;
	CEdit	m_FwdIn;
	CEdit	m_EnabIn;
	CEdit	m_BackIn;
	CButton	m_Power;
	CEdit	m_AllowError;
	CEdit	m_CalVel;
	CEdit	m_D;
	CEdit	m_ErrStop;
	CEdit	m_I;
	CEdit	m_IntLimit;
	CEdit	m_MaxVel;
	CEdit	m_P;
	CEdit	m_Scale;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSlParaDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void PostNcDestroy();
	void OnCancel(); 
	char motor;
	void SetValues();
	HICON m_hIcon;
	// Generated message map functions
	//{{AFX_MSG(CSlParaDlg)
	afx_msg void OnButtonLoad();
	afx_msg void OnButtonSave();
	afx_msg void OnButtonSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SlParaDlg_H__14A0C59C_ADB0_49C9_9959_E57479C8E0CA__INCLUDED_)
