// MainDlg.cpp : implementation file
//

#include "stdafx.h"
#include "SertiGUI.h"
#include "MainDlg.h"

#include "PropPage.h"
#include "ledi/DynamicLED.h"
#include "SlControl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainDlg dialog

CMainDlg::CMainDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMainDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMainDlg)
	m_StatusBar = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CMainDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMainDlg)
	DDX_Control(pDX, IDC_EDIT4, m_Terminal);
//	DDX_Control(pDX, IDC_LISTLog, m_cLog);
	DDX_Text(pDX, IDC_EDITSTATUS, m_StatusBar);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CMainDlg, CDialog)
	//{{AFX_MSG_MAP(CMainDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON24, OnButton24)
	ON_BN_CLICKED(IDC_BUTTON18, OnMotorParam)
	ON_WM_SHOWWINDOW()
	ON_WM_SIZE()
	ON_COMMAND(ID_FILE_EXIT, OnFileExit)
	ON_BN_CLICKED(IDC_BUTTON3, OnButtonStopA)
	ON_BN_CLICKED(IDC_BUTTON1, OnButtonStartA)
	ON_BN_CLICKED(IDC_BUTTON19, OnMotorParam)
	ON_BN_CLICKED(IDC_BUTTON20, OnMotorParam)
	ON_COMMAND(ID_SETUP_PARAMS_MOTORA, OnMotorParam)
	ON_COMMAND(ID_SETUP_PARAMS_MOTORB, OnMotorParam)
	ON_COMMAND(ID_SETUP_PARAMS_MOTORC, OnMotorParam)
	ON_CONTROL_RANGE(BN_CLICKED,62,77, OnLEDClick)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMainDlg message handlers

BOOL CMainDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here

	for (int i=10;i<46;i++){
		CWnd *pWndRed = (CWnd *)GetDlgItem(i);
		m_LedA[i-10].SetLED(pWndRed,ID_LED_RED,ID_SHAPE_ROUND,200);
	}	

	for (i=46;i<78;i++){
		CWnd *pWndRed = (CWnd *)GetDlgItem(i);
		m_LedA[i-10].SetLED(pWndRed,ID_LED_YELLOW,ID_SHAPE_ROUND,200);
	}	

	SlControlinstance=new CSlControl();
//	SlControlinstance->pMainDlg=this;

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CMainDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CMainDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting
		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
		}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMainDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



void CMainDlg::OnButton24() 
{
	for (int i=0;i<68;i++){
		m_LedA[i].toggle();
	}	
}

void CMainDlg::OnMotorParam() 
{
	CPropPage Prop;
	Prop.DoModal();
}

void CMainDlg::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);

	// TODO: Add your message handler code here
	
}

void CMainDlg::OnSize(UINT nType, int cx, int cy) 
{
	CDialog::OnSize(nType, cx, cy);

	
  // Check that log control is really created.
    if (::IsWindow(m_LogView.GetSafeHwnd()))
	{
		CRect rc, rt;
    // Get current position (relative to screen)
    m_LogView.GetWindowRect(&rc);
	m_Terminal.GetWindowRect(&rt);
    // Convert screen coordinates relative to this dialog
    ScreenToClient(&rc);
	ScreenToClient(&rt);

    // Calculate new width 
    int i_width = cx - rc.TopLeft().x -10;
     // Don't change height.
    int i_height = rc.Height();
		/*cx - rc.BottomRight().y+30;*/
  
    m_LogView.SetWindowPos(0, 0,0, i_width, i_height, 
                                SWP_NOMOVE|SWP_NOZORDER);
	
	int t_width = cx - rt.TopLeft().x -10;
	int t_height = rt.Height();
    m_Terminal.SetWindowPos(0, 0,0, t_width, t_height, 
                                SWP_NOMOVE|SWP_NOZORDER);
	}
}

void CMainDlg::OnFileExit() 
{
  DestroyWindow();	
}

void CMainDlg::OnButtonStopA() 
{

}

void CMainDlg::OnButtonStartA() 
{

	SlControlinstance->StartMotor("Aa","kakkonen");	
}

void CMainDlg::OnLEDClick( UINT nID ) 
{
	if (m_LedA[nID-10].m_bBright)
		SlControlinstance->SetControllerOutOn(nID-61); else
		SlControlinstance->SetControllerOutOff(nID-61);

	m_LedA[nID-10].toggle();
}
